<template>
  <div class="right-sec">
    <div class="right-menu">
      <el-dropdown class="avatar-container" trigger="click">
        <div class="avatar-wrapper">
          <div><strong>{{nickName}}</strong></div>
          <i class="el-icon-caret-bottom" />
        </div>
        <el-dropdown-menu slot="dropdown" class="user-dropdown" >
          <!-- <router-link to="/">
            <el-dropdown-item> 首页 </el-dropdown-item>
          </router-link> -->
          <el-dropdown-item divided>
            <span style="display: block" @click="logout()">退出</span>
          </el-dropdown-item>
        </el-dropdown-menu>
      </el-dropdown>
    </div>
    <div class="right-time date">{{ dateFormat(date) }}</div>
  </div>
</template>

<script>
// import { flexible } from "@/utils";
export default {
  name: "TimeMenu",
  //   components: { sbjk, monitor, alarming, handleNumber, alarmStatic,Navbar },
  data() {
    return {
      date: new Date(), //实时时间
      nickName:''
    };
  },
  methods: {
    logout(){
      localStorage.clear();
      this.$store.dispatch('logout').then(() => {
        this.$router.push('/login')
      }).catch(err => {
        this.$message.error(err); //登录失败提示错误
      });
    },
    setZero(a) {
      //设置小于10的数字在加0
      return a < 10 ? "0" + a : a;
    },
    dateFormat: function (time) {
      var date = new Date(time);
      var year = date.getFullYear();
      /* 在日期格式中，月份是从0开始的，因此要加0
       * 使用三元表达式在小于10的前面加0，以达到格式统一  如 09:11:05
       * */
      var month =
        date.getMonth() + 1 < 10
          ? "0" + (date.getMonth() + 1)
          : date.getMonth() + 1;
      var day = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
      var hours =
        date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
      var minutes =
        date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
      var seconds =
        date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();
      // 拼接
      return (
        year +
        "年" +
        month +
        "月" +
        day +
        "日 " +
        hours +
        ":" +
        minutes +
        ":" +
        seconds
      );
    },
  },
  created(){
    setTimeout(()=>{
       this.nickName = this.$store.state.nickName
    },500)
  },
  mounted() {
    var _this = this;
    this.timer = setInterval(() => {
      _this.date = new Date(); // 修改日期数据
    }, 1000);
  },
  destroyed() {
    if (this.timer) {
      clearInterval(this.timer); // 在Vue实例销毁前，清除当前日期定时器
    }
  },
};
</script>


<style lang="scss" scoped>
.right-sec{
    position:absolute;
    right:0;
    top:0;

}
.right-time {
    float: right;
    line-height: 50px;
    margin-right: 50px;
    font-size:14px
  }
 .right-menu {
    float: right;
    height: 100%;
    line-height: 50px;

    &:focus {
      outline: none;
    }

    .right-menu-item {
      display: inline-block;
      padding: 0 8px;
      height: 100%;
      font-size: 18px;
      color: #5a5e66;
      vertical-align: text-bottom;

      &.hover-effect {
        cursor: pointer;
        transition: background 0.3s;

        &:hover {
          background: rgba(0, 0, 0, 0.025);
        }
      }
    }

    .avatar-container {
      margin-right: 30px;
      display: block;

      .avatar-wrapper {
        // margin-top: 5px;
        position: relative;

        .user-avatar {
          cursor: pointer;
          width: 40px;
          height: 40px;
          border-radius: 10px;
        }

        .el-icon-caret-bottom {
          cursor: pointer;
          position: absolute;
          right: -20px;
          top: 20px;
          font-size: 12px;
        }
      }
    }
  }
</style>

<style lang="scss">
</style>
